<?xml version="1.0" encoding="utf-8"?>
<com.sheep.gamegroup.util.SheepSwipeRefreshLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/refresh"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <android.support.v4.widget.NestedScrollView
        android:id="@+id/ask_scroll_view"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_gravity="fill_vertical"
        android:layout_marginBottom="60dp"
        android:fillViewport="true"
        android:orientation="vertical"
        android:scrollbars="none"
        app:layout_behavior="@string/appbar_scrolling_view_behavior">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="#FFD269">

            <ImageView
                android:id="@+id/ask_bg"
                android:layout_width="match_parent"
                android:layout_height="wrap_content" />

            <!--底部有白条，用这一层覆盖-->
            <View
                android:id="@+id/ask_top_3"
                android:layout_width="match_parent"
                android:layout_height="100dp"
                android:layout_marginTop="300dp"
                android:background="#FFD269" />
            <!--内容   注：layout_marginBottom 为底部添加一点空间-->
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:baselineAligned="false"
                android:descendantFocusability="beforeDescendants"
                android:focusable="true"
                android:focusableInTouchMode="true"
                android:orientation="vertical">


                <View
                    android:id="@+id/ask_top_1"
                    android:layout_width="match_parent"
                    android:layout_height="320dp" />

                <LinearLayout
                    android:id="@+id/ask_top_2"
                    android:layout_width="match_parent"
                    android:layout_height="60dp"
                    android:layout_marginBottom="@dimen/content_padding_20"
                    android:orientation="horizontal">

                    <RelativeLayout
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="1">

                        <TextView

                            android:id="@+id/tv_size"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerHorizontal="true"
                            android:text="@string/app_name"
                            android:textColor="#ffffff"
                            android:textSize="24sp"
                            android:textStyle="bold" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_below="@id/tv_size"
                            android:layout_centerHorizontal="true"
                            android:text="@string/friend"
                            android:textColor="#ffffff"
                            android:textSize="13sp" />

                    </RelativeLayout>

                    <RelativeLayout
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:orientation="vertical">

                        <LinearLayout
                            android:id="@+id/tv_money_ll"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerHorizontal="true"
                            android:orientation="horizontal">

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="￥"
                                android:textColor="#FCFF00"
                                android:textSize="12sp" />

                            <TextView
                                android:id="@+id/tv_money"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:textColor="#FCFF00"
                                android:textSize="24sp"
                                android:textStyle="bold" />
                        </LinearLayout>

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_below="@id/tv_money_ll"
                            android:layout_centerHorizontal="true"
                            android:text="@string/reward"
                            android:textColor="#ffffff"
                            android:textSize="13sp" />

                    </RelativeLayout>


                </LinearLayout>

                <android.support.design.widget.TabLayout
                    android:id="@+id/indicator"
                    style="@style/style_tab_askgetmoney" />

                <View
                    android:layout_width="match_parent"
                    android:layout_height="1dp"
                    android:background="@color/yellow_FFAD3C" />

                <com.kfzs.android.view.widget.WrapContentHeightViewPager
                    android:id="@+id/pager"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginEnd="@dimen/content_padding_10"
                    android:layout_marginStart="@dimen/content_padding_10"
                    android:layout_marginTop="@dimen/content_padding_10"
                    app:layout_behavior="@string/appbar_scrolling_view_behavior" />

                <!--邀请小技巧-->

                <include layout="@layout/ask_getmoney_act_item_three_notice_layout" />
                <View
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/content_padding_10"/>
                <TextView
                    android:id="@+id/ask_invite_tv"
                    style="@style/style_button_purple"
                    android:text="立即邀请" />
                <View
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/content_padding_10"/>
            </LinearLayout>

            <TextView
                android:id="@+id/ask_act_rule"
                android:layout_width="wrap_content"
                android:layout_height="24dp"
                android:layout_alignParentEnd="true"
                android:layout_alignParentTop="true"
                android:layout_marginTop="28dp"
                android:background="@drawable/sp_bg_purple_left_radius_12"
                android:gravity="center"
                android:paddingEnd="6dp"
                android:paddingStart="10dp"
                android:text="活动规则"
                android:textColor="#ffffffff"
                android:textSize="10sp" />
            <TextView
                android:id="@+id/ask_act_code"
                android:layout_width="wrap_content"
                android:layout_height="24dp"
                android:layout_alignParentStart="true"
                android:layout_alignParentTop="true"
                android:layout_marginTop="28dp"
                android:background="@drawable/sp_bg_purple_right_radius_12"
                android:gravity="center"
                android:paddingEnd="10dp"
                android:paddingStart="6dp"
                android:text="我的邀请码：976873"
                android:textColor="#ffffffff"
                android:textSize="10sp" />
            <TextView
                android:id="@+id/ask_act_code_copy"
                android:layout_width="wrap_content"
                android:layout_height="20dp"
                android:layout_alignParentTop="true"
                android:layout_centerHorizontal="true"
                android:layout_marginTop="30dp"
                android:background="@drawable/sp_bg_rectangle_orange_10"
                android:gravity="center"
                android:paddingEnd="12dp"
                android:paddingStart="12dp"
                android:text="复制"
                android:textColor="#ffffffff"
                android:textSize="10sp" />
        </RelativeLayout>
    </android.support.v4.widget.NestedScrollView>
</com.sheep.gamegroup.util.SheepSwipeRefreshLayout>
